Subject: bug#24124: emacs terminal escape command error

From: Stefan Kangas <[email-masked]>
Date: Fri, 08 Nov 2019 04:54:53 +0100

Eli Zaretskii <[email-masked]> writes:

> [Please keep the bug address on the CC list.]
>
>> From: modem <[email-masked]>
>> Date: Tue, 2 Aug 2016 11:47:55 +0200
>> 
>> Thanks you for your advises.
>> 
>> My terminfo: "echo $TERM" return "screen". Is that it ?
>
> Probably.
>
>> I recompiled emacs after commenting a few optimization in src/cm.c (cmgoto).
>> Unfortunately I can still reproduce the bug with this binary.
>> 
>> I am attaching you the patch I did.
>
> I think you disabled the wrong code.  What you need is force Emacs to
> always do this:
>
>       if (cost <= relcost)
> 	{	/* really is cheaper */
> 	  emacs_tputs (tty, p, 1, cmputc);
> 	  curY (tty) = row, curX (tty) = col;
> 	  return;
> 	}

That was 3 years ago.  Did you ever get a chance to try the suggested
fix by Eli above?

Best regards,
Stefan Kangas